Article ID: 3488, created on Dec 13, 2007, last review on May 11, 2014

  • Applies to:
  • Plesk for Windows


The latest Plesk versions starting from 8.1 support both PHP 4 and PHP 5. Both versions are shipped with Plesk and can be installed as Plesk components via Add/Remove programs, Plesk, Change. Once both versions of PHP are installed, the required version for each individual domain can be selected via Physical hosting configuration page Plesk control panel, Domains, domain.tld, Setup.

So the domain itself can be configured to use one PHP version. It cannot use two PHP versions simultaneously.

However different PHP version can be configured on virtual folder hosted by this domain.

To make so it is necessary to tick Create Applications checkbox on Web Directory creation stage ( Plesk, Domains, domain.tld, Web Directories, Add New Virtual Directory page ).

Once virtual directory is created it is possible to enter there and go to PHP version area (Plesk, Domains, domain.tld, Web Directories, _your_virtual_directory_, PHP version).  PHP version for current virtual directory can be configured in this area and can be different than PHP version of parent domain.


Please see also How to install PHP5 with legacy Plesk versions

85a92ca67f2200d36506862eaa6ed6b8 a914db3fdc7a53ddcfd1b2db8f5a1b9c 56797cefb1efc9130f7c48a7d1db0f0c

Email subscription for changes to this article
Save as PDF